<template>
  <div>
    <h1 class="mb-6">How many uses per month do you anticipate, if prescribed?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        v-model="selected"
        :input-value="choice"
        class="relative"
      >
        {{ choice }}
        <div
          v-if="choice === mostPopularChoice"
          class="absolute right-0 top-1/2 transform -translate-y-1/2 bg-red px-3 py-1 text-xs text-white"
        >
          Most Popular
        </div>
      </radio-input>
    </div>
    <CommonBtn
      text="Next"
      :disabled="!selected"
      @click="$emit('nextStage')"
    />
  </div>
</template>

<script>
import CommonBtn from "@/components/common/CommonBtn";
import RadioInput from "@/components/inputs/RadioInput";
import {answersMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin],
  name: "TreatmentPreferenceHowMany",
  components: {RadioInput, CommonBtn},
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.TREATMENT_PREFERENCE, newVal, 'how_many')
    }
  },
  data() {
    const MOST_POPULAR_CHOICE = '6 times per month'
    return {
      selected: null,
      choices: [
        '2 times per month',
        '4 times per month',
        MOST_POPULAR_CHOICE,
        '8 times per month',
      ],
      mostPopularChoice: MOST_POPULAR_CHOICE
    }
  }
}
</script>

<style scoped>

</style>
